
public abstract class WordList {

	public abstract void insert(String word);

	// Get frequency of word
	public abstract int getFrequency(String word);

	// Number of different words
	public abstract int nOfDifferentWords();

	// Mean frequency of equal words
	public abstract double meanWordCount();

	// Get all words with specified frequency
	public abstract String[] getWords(int frequency);

	// Get all words starting with the specified prefix
	public abstract String[] getWordsStartingWith(String prefix);

	public abstract void printList();
}

